Subject: [PATCH 06/10] soc/qbman: Add ARM equivalent for flush_dcache_range()

From: [email-masked] (Scott Wood)
Date: Thu, 16 Mar 2017 15:08:32 -0500

On Thu, 2017-03-16 at 00:43 +0000, Roy Pledge wrote:
> Just wanted to follow up on this - turns out the no-map; attribute is
> what I was missing. I now have the suggested mechanism working for ARM.
> However when I went to test on PowePC the region wasn't being enabled
> properly. It turns out the Kconfig in arch/powerpc doesn't define
> HAVE_GENERIC_DMA_COHERENT so this mechanism isn't available. However I
> added it and everything worked on my PPC board as it did on ARM.
> 
> Does anyone know why HAVE_GENERIC_DMA_COHERENT isn't defined for
> PowerPC? I did a quick search but didn't see previous discussion on this
> topic.

Probably because nothing on PPC needed it.

In any case, the problems with doing this on PPC run deeper than that, as I
pointed out in:
https://www.spinics.net/lists/arm-kernel/msg560020.html

-Scott